> ## Name

> cgGLSetParameter2d - set the values of a scalar or vector parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetParameter2d( CGparameter param,
>                              double x,
>                              double y );

> ## Parameters

> param
>   The parameter that will be set.
> x, y
>   The values to which param will be set.

> ## Return Values

> None.

> ## Description

> cgGLSetParameter2d sets the value of a scalar or vector parameter.

> If more values are passed in than the parameter requires, the extra values will be ignored.

> cgGLSetParameter2d may be called with uniform or varying parameters. When called with a varying parameter, the appropriate immediate mode OpenGL entry point will be called. However, the cgGLGetParameter functions only work with uniform parameters.

> ## Examples

>       cgGLSetParameter2d(param, 1.0, 2.0);

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLSetParameter2d was introduced in Cg 1.1.

> ## See Also

> cgGLGetParameter, cgGLSetParameterArray, cgGLSetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetTextureParameter, cgGLBindProgram